package com.css.simulation.resource.system.mapper;

import api.common.pojo.param.system.ParameterParam;
import api.common.pojo.param.system.UserParam;
import api.common.pojo.po.system.ParameterPO;
import api.common.pojo.vo.system.ParameterVO;
import api.common.pojo.vo.system.UserVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface ParameterMapper {

    List<ParameterVO> getParameterList(ParameterParam pageParam);

    ParameterVO getParamInfoById(@Param("paramId") String paramId);

    void insert(ParameterPO parameterPO);

    void update(ParameterPO parameterPO);

    List<ParameterPO> checkUsername(ParameterPO parameterPO);

    int deleteById(ParameterPO parameterPO);

    List<UserVO> getUserInfo(UserParam userParam);

}
